> ## Documentation Index
> Fetch the complete documentation index at: https://docs.messari.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get All Networks Time Series

> Returns one timeseries per network, for every network the networks listing serves, in a single response. Use this instead of calling the per-network endpoint once for each network. Every network is included, so narrow start and end to limit the response size.

Returns one series per network in a single response, rather than one request per network.

## Supported datasets

| Dataset      | Description                                        |
| ------------ | -------------------------------------------------- |
| `activity`   | Addresses, transactions and other onchain activity |
| `financial`  | Fees, revenue and other financial metrics          |
| `ecosystem`  | Ecosystem-level metrics                            |
| `stablecoin` | Stablecoin supply and transfers                    |
| `staking`    | Staking supply, rate and rewards                   |
| `perp-dex`   | Perpetual DEX metrics                              |

Any other value returns `400`, naming the datasets that are accepted.


## OpenAPI

````yaml GET /metrics/v2/networks/metrics/{datasetSlug}/time-series/{granularity}
openapi: 3.0.0
info:
  description: OpenAPI specification for the entire Messari API
  title: Messari API - Metrics V2
  version: 1.0.0
servers:
  - description: Messari API
    url: https://api.messari.io
security: []
paths:
  /metrics/v2/networks/metrics/{datasetSlug}/time-series/{granularity}:
    get:
      tags:
        - metrics/networks
      summary: Get All Networks Time Series
      description: >-
        Returns one timeseries per network, for every network the networks
        listing serves, in a single response. Use this instead of calling the
        per-network endpoint once for each network. Every network is included,
        so narrow start and end to limit the response size.
      operationId: getAllNetworksTimeseriesV2
      parameters:
        - description: Dataset slug
          in: path
          name: datasetSlug
          required: true
          schema:
            enum:
              - activity
              - financial
              - ecosystem
              - stablecoin
              - staking
              - perp-dex
            type: string
            example: activity
            default: activity
        - description: Granularity
          in: path
          name: granularity
          required: true
          schema:
            type: string
            example: 1d
            default: 1d
        - description: Time range start
          in: query
          name: start
          schema:
            type: string
            example: '2025-06-01T00:00:00Z'
            default: '2025-06-01T00:00:00Z'
        - description: Time range end
          in: query
          name: end
          schema:
            type: string
            example: '2025-06-07T00:00:00Z'
            default: '2025-06-07T00:00:00Z'
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  data:
                    items:
                      $ref: '#/components/schemas/NetworkTimeseriesEntry'
                    type: array
                  error:
                    type: string
                  metadata:
                    $ref: '#/components/schemas/metricsTimeseriesMetadata'
                required:
                  - data
                type: object
              example:
                error: null
                data:
                  - network:
                      id: e7bc4889-a1fd-4e59-a264-5f27941c9976
                      slug: algorand
                      name: Algorand
                    points:
                      - - 1748736000
                        - 1612887
                        - 189111
                        - 137
                        - 25
                        - 18.667673611111116
                      - - 1748822400
                        - 1672474
                        - 208776
                        - 151
                        - 19
                        - 19.35733796296296
                      - - 1748908800
                        - 1700602
                        - 208949
                        - 158
                        - 34
                        - 19.68289351851852
                      - - 1748995200
                        - 1752483
                        - 215064
                        - 174
                        - 19
                        - 20.28336805555556
                      - - 1749081600
                        - 1877860
                        - 225765
                        - 281
                        - 33
                        - 21.73449074074074
                  - network:
                      id: 383aabb9-285c-4813-aa76-6987091b93a6
                      slug: arbitrum-one
                      name: Arbitrum
                    points:
                      - - 1748736000
                        - 1920409
                        - 243188
                        - 7764
                        - 683
                        - 23.99576554232804
                      - - 1748822400
                        - 2259980
                        - 276336
                        - 9197
                        - 762
                        - 23.732270171957673
                      - - 1748908800
                        - 2320530
                        - 312763
                        - 7822
                        - 768
                        - 23.093839285714285
                      - - 1748995200
                        - 2270473
                        - 291690
                        - 7821
                        - 868
                        - 23.123978174603174
                      - - 1749081600
                        - 2647854
                        - 272817
                        - 9180
                        - 901
                        - 23.306512896825396
                  - network:
                      id: 60b82a80-8324-4d5f-bfe5-7e756b0023f9
                      slug: avalanche
                      name: Avalanche
                    points:
                      - - 1748736000
                        - 1088336
                        - 36865
                        - 97306
                        - 747
                        - 12.59648148148148
                      - - 1748822400
                        - 1030983
                        - 42683
                        - 93074
                        - 785
                        - 11.932673611111111
                      - - 1748908800
                        - 1205532
                        - 42602
                        - 47021
                        - 694
                        - 13.952916666666669
                      - - 1748995200
                        - 892628
                        - 55937
                        - 91702
                        - 811
                        - 10.331342592592591
                      - - 1749081600
                        - 697577
                        - 94312
                        - 5451
                        - 616
                        - 8.07380787037037
                  - network:
                      id: ce84ab09-fec6-4024-a42a-53bdc0293038
                      slug: binance-smart-chain
                      name: BNB Chain
                    points:
                      - - 1748736000
                        - 14159740
                        - 1441414
                        - 66594
                        - 2071
                        - 168.693814484127
                      - - 1748822400
                        - 15060937
                        - 1442235
                        - 152794
                        - 2256
                        - 169.943664021164
                      - - 1748908800
                        - 16075242
                        - 1701675
                        - 158406
                        - 2268
                        - 172.7389566798942
                      - - 1748995200
                        - 15314764
                        - 1636692
                        - 295372
                        - 2663
                        - 173.22598710317462
                      - - 1749081600
                        - 15964565
                        - 1636864
                        - 117021
                        - 2430
                        - 174.3675710978836
                  - network:
                      id: d1696128-579b-46e9-ab5a-2ab33d8c4b7e
                      slug: base
                      name: Base
                    points:
                      - - 1748736000
                        - 8435362
                        - 1520188
                        - 3671997
                        - 5546
                        - 123.78646494708995
                      - - 1748822400
                        - 8830010
                        - 1639247
                        - 2164942
                        - 5502
                        - 121.12548776455026
                      - - 1748908800
                        - 11717342
                        - 3197091
                        - 855757
                        - 4682
                        - 124.190916005291
                      - - 1748995200
                        - 9964436
                        - 1559485
                        - 697719
                        - 5409
                        - 120.8360300925926
                      - - 1749081600
                        - 12000760
                        - 1823154
                        - 1274663
                        - 5518
                        - 117.45576554232804
                metadata:
                  pointSchemas:
                    - name: Timestamp
                      slug: time
                      description: Timestamp of the data point.
                      is_timestamp: true
                    - name: Daily Transactions
                      slug: txnCount24Hour
                      description: >-
                        The number of successful and unsuccessful transactions
                        in a day.
                      is_timestamp: false
                    - name: Daily Active Addresses
                      slug: activeAddresses24Hour
                      description: >-
                        The number of new and returning unique wallet addresses
                        that send a transaction in a day.
                      is_timestamp: false
                    - name: New Contracts Deployed 24 Hour
                      slug: newContractsDeployed24Hour
                      description: The number of new contracts deployed in a day.
                      is_timestamp: false
                    - name: Contract Deployers 24 Hour
                      slug: contractDeployers24Hour
                      description: ''
                      is_timestamp: false
                    - name: Transactions Per Second
                      slug: transactionsPerSecond
                      description: >-
                        Average transactions per second processed by the
                        network.
                      is_timestamp: false
                  granularity: 1d
          description: OK
        '400':
          content:
            application/json:
              schema:
                properties:
                  data: {}
                  error:
                    type: string
                required:
                  - data
                type: object
          description: Bad Request
        '401':
          content:
            application/json:
              schema:
                properties:
                  data: {}
                  error:
                    type: string
                required:
                  - data
                type: object
          description: Unauthorized
        '500':
          content:
            application/json:
              schema:
                properties:
                  data: {}
                  error:
                    type: string
                required:
                  - data
                type: object
          description: Internal Server Error
      security:
        - apiKey: []
components:
  schemas:
    NetworkTimeseriesEntry:
      properties:
        network:
          properties:
            id:
              type: string
            name:
              type: string
            slug:
              type: string
          type: object
        points:
          items:
            items: {}
            type: array
          type: array
      required:
        - network
        - points
      type: object
    metricsTimeseriesMetadata:
      properties:
        granularity:
          enum:
            - 1m
            - 5m
            - 15m
            - 30m
            - 1h
            - 6h
            - 1d
            - 1w
            - 30d
            - 1q
            - 1y
          type: string
        pointSchemas:
          items:
            $ref: '#/components/schemas/metricsPointSchema'
          type: array
      required:
        - granularity
        - pointSchemas
      type: object
    metricsPointSchema:
      type: object
      description: Schema for metricsPointSchema
      properties: {}
      additionalProperties: true
  securitySchemes:
    apiKey:
      in: header
      name: X-Messari-API-Key
      type: apiKey

````